package com.jonathanaquino.looks;

import javax.swing.UIManager;

import com.jgoodies.looks.plastic.PlasticXPLookAndFeel;
import com.vividsolutions.jump.workbench.plugin.Extension;
import com.vividsolutions.jump.workbench.plugin.PlugInContext;

/**
 * Applies the JGoodies Looks look-and-feel to JUMP.
 */
public class LooksExtension extends Extension {
    public void configure(PlugInContext context) throws Exception {
        // Use PlasticXPLookAndFeel rather than Plastic3DLookAndFeel, which uses a dark background
        // for checkboxes, which doesn't look good in the layer panel (left side of task frames).
        // [Jon Aquino 2005-07-06]
        UIManager.setLookAndFeel(PlasticXPLookAndFeel.class.getName());
    }
}
